Package com.opensymphony.sitemesh.webapp

# Class ContainerTweaks

java.lang.Object
com.opensymphony.sitemesh.webapp.ContainerTweaks

public class ContainerTweaks extends Object
Provides details of which tweaks should be used in SiteMesh - necessary because containers behave subtly different.

Since:
  SiteMesh 3
Author:
  Joe Walnes

## Field Summary

Fields
Modifier and Type
Field
Description
`private final int`
`container`

## Constructor Summary

Constructors
Constructor
Description
`ContainerTweaks()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`shouldAutoCreateSession()`
`boolean`
`shouldIgnoreIllegalStateExceptionOnErrorPage()`
`boolean`
`shouldLogUnhandledExceptions()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### container

private final int container

## Constructor Details

### ContainerTweaks

public ContainerTweaks()

## Method Details

### shouldAutoCreateSession

public boolean shouldAutoCreateSession()

### shouldLogUnhandledExceptions

public boolean shouldLogUnhandledExceptions()

### shouldIgnoreIllegalStateExceptionOnErrorPage

public boolean shouldIgnoreIllegalStateExceptionOnErrorPage()